For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • DELDelete Model Sync
      • PATCHUpdate Sync
      • POSTActivate Sync
      • POSTStart Sync
      • GETGet Sync Status
Logo
Log inBook a demo
API ReferenceModel Sync

Get Sync Status

GET
https://app.polytomic.com/api/syncs/:id/status
GET
/api/syncs/:id/status
$curl https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/status \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": {
3 "current_execution": {
4 "completed_at": "2024-01-01T00:00:00Z",
5 "counts": {
6 "delete": 42,
7 "error": 5,
8 "insert": 80,
9 "total": 100,
10 "update": 15,
11 "upserts": 10,
12 "warnings": 10
13 },
14 "created_at": "2024-01-01T00:00:00Z",
15 "errors": [
16 "something went wrong"
17 ],
18 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
19 "started_at": "2024-01-01T00:00:00Z",
20 "status": "created",
21 "type": "scheduled"
22 },
23 "last_execution": {
24 "completed_at": "2024-01-01T00:00:00Z",
25 "counts": {
26 "delete": 42,
27 "error": 5,
28 "insert": 80,
29 "total": 100,
30 "update": 15,
31 "upserts": 10,
32 "warnings": 10
33 },
34 "created_at": "2024-01-01T00:00:00Z",
35 "errors": [
36 "something went wrong"
37 ],
38 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
39 "started_at": "2024-01-01T00:00:00Z",
40 "status": "created",
41 "type": "scheduled"
42 },
43 "next_execution_time": "2024-01-01T00:00:00Z"
44 }
45}

Returns the current status of a model sync.

The response includes a summary of the most recent execution, including its start time, completion time, and record counts. For the complete execution history, use GET /api/syncs/{id}/executions.

Was this page helpful?
Previous

List Executions

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error